# Create a terminal application

`POST /terminal-applications`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Create a new terminal application.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/terminal-applications.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `platform` | string | Yes | Platform of the terminal application. Values: `undefined`, `ios`, `android`. |
| `appBundleID` | string |  | The app bundle identifier of the terminal application. Required if platform is `ios`. |
| `packageName` | string |  | The app package name of the terminal application. Required if platform is `android`. |
| `sha256Digest` | string |  | The SHA-256 digest of the signing key for the application. Required if platform is `android`. |
| `versionCode` | string |  | The version code of the Android application. Required if platform is `android`. |

Example:

```json
{
  "platform": "android",
  "packageName": "com.example.app",
  "sha256Digest": "AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD",
  "versionCode": "20332277"
}
```

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `terminalApplicationID` | string | Yes | ID of the terminal application. |
| `status` | string | Yes | Status of the terminal application. Values: `undefined`, `pending`, `enabled`, `disabled`. |
| `platform` | string | Yes | Platform of the terminal application. Values: `undefined`, `ios`, `android`. |
| `appBundleID` | string |  | The app bundle identifier of the terminal application. Will be returned if platform is `ios`. |
| `packageName` | string |  | The app package name of the terminal application. Will be returned if platform is `android`. |
| `sha256Digest` | string |  | A cryptographic hash of the signing key for the application. Will be returned if platform is `android`. |
| `versionCode` | string |  | The app version code of the terminal application. Will be returned if platform is `android`. |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 409 | The request conflicted with the current state of the target resource. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X POST "https://api.moov.io/terminal-applications" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00" \
  -d '{
  "platform": "android",
  "packageName": "com.example.app",
  "sha256Digest": "AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD",
  "versionCode": "20332277"
}'
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.terminalApplications.create({
    platform: "android",
    packageName: "com.example.app",
    sha256Digest: "AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD:EE:FF:AA:BB:CC:DD",
    versionCode: "20332277",
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/sources/terminal-applications/create/
